summaryrefslogtreecommitdiffstats
path: root/audio/listener/listener.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/listener/listener.SlackBuild')
-rw-r--r--audio/listener/listener.SlackBuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/audio/listener/listener.SlackBuild b/audio/listener/listener.SlackBuild
index 7473a26082..0fa76117a3 100644
--- a/audio/listener/listener.SlackBuild
+++ b/audio/listener/listener.SlackBuild
@@ -11,12 +11,13 @@
# Pierre Cazenave
#
# Created 07/08/2008
+# Updated for Slackware64 28/05/2009
#
PRGNAM=listener
VERSION=1.7.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -32,13 +33,16 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
-rm -rf listener-1.7.2
-tar -xvzf $CWD/$PRGNAM-${VERSION}.tgz || exit 1
-cd listener-1.7.2 || exit 1
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvzf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
chown -R root:root .
+
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
@@ -59,9 +63,9 @@ sed -i 's@/usr/local/etc/listener.conf@/etc/listener.conf@' manual.html
make install INSTALL_PREFIX=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
-# make the documentation directories and install the documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
( cp -a license.txt manual.html $PKG/usr/doc/$PRGNAM-$VERSION )
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild